Closed Bug 1622141 Opened 5 months ago Closed 3 months ago

Intermittent TEST-UNEXPECTED-TIMEOUT | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | application timed out after 370 seconds with no output

Categories

(DevTools :: Console, defect, P5)

defect

Tracking

(firefox77 fixed)

RESOLVED FIXED
Firefox 77
Tracking Status
firefox77 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: apavel)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file, 1 obsolete file)

Filed by: btara [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=292929775&repo=autoland
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/bDbUREdsRDClH0VilJdyXg/runs/0/artifacts/public/logs/live_backing.log


[task 2020-03-12T23:28:49.813Z] 23:28:49     INFO - TEST-START | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js
[task 2020-03-12T23:28:49.828Z] 23:28:49     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak ++DOCSHELL 072D0800 == 2 [pid = 3948] [id = {fc1295c2-ba59-484d-ae14-43962e896210}]
[task 2020-03-12T23:28:49.828Z] 23:28:49     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 6 (0BE5F350) [pid = 3948] [serial = 55] [outer = 00000000]
[task 2020-03-12T23:28:49.828Z] 23:28:49     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 7 (072D3000) [pid = 3948] [serial = 56] [outer = 0BE5F350]
[task 2020-03-12T23:28:49.843Z] 23:28:49     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: '!mName', file /builds/worker/checkouts/gecko/editor/libeditor/EditAggregateTransaction.cpp, line 91
[task 2020-03-12T23:28:49.843Z] 23:28:49     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: EditAggregationTransaction::GetName() failed: 'NS_SUCCEEDED(rv)', file /builds/worker/checkouts/gecko/editor/libeditor/PlaceholderTransaction.cpp, line 217
[task 2020-03-12T23:28:49.843Z] 23:28:49     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: nsIAbsorbingTransaction::GetTxnName() failed, but ignored: 'NS_SUCCEEDED(rvIgnored)', file /builds/worker/checkouts/gecko/editor/libeditor/PlaceholderTransaction.cpp, line 188
[task 2020-03-12T23:28:49.910Z] 23:28:49     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 8 (0D953C00) [pid = 3948] [serial = 57] [outer = 0BE5F350]
[task 2020-03-12T23:28:50.029Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOCSHELL 10F4E400 == 11 [pid = 5912] [id = {ddc74722-95ba-4b7a-a8fd-b4a12593df82}]
[task 2020-03-12T23:28:50.029Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 22 (100B7BD0) [pid = 5912] [serial = 144] [outer = 00000000]
[task 2020-03-12T23:28:50.032Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 23 (250A5000) [pid = 5912] [serial = 145] [outer = 100B7BD0]
[task 2020-03-12T23:28:50.055Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 24 (25C2A800) [pid = 5912] [serial = 146] [outer = 100B7BD0]
[task 2020-03-12T23:28:50.130Z] 23:28:50     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/checkouts/gecko/dom/base/nsContentUtils.cpp, line 3785
[task 2020-03-12T23:28:50.250Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOCSHELL 143EFC00 == 12 [pid = 5912] [id = {eb1d7953-3f8a-4c3f-9506-b2e140f366b3}]
[task 2020-03-12T23:28:50.250Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 25 (100A19B0) [pid = 5912] [serial = 147] [outer = 00000000]
[task 2020-03-12T23:28:50.250Z] 23:28:50     INFO - GECKO(144) | [Parent 5912: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 26 (255D1400) [pid = 5912] [serial = 148] [outer = 100A19B0]
[task 2020-03-12T23:28:50.637Z] 23:28:50     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, nullptr) failed with result 0x804B000A: file /builds/worker/checkouts/gecko/extensions/permissions/nsPermission.cpp, line 45
[task 2020-03-12T23:28:50.637Z] 23:28:50     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: '!principal', file /builds/worker/checkouts/gecko/netwerk/cookie/CookieJarSettings.cpp, line 182
[task 2020-03-12T23:28:50.637Z] 23:28:50     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/toolkit/components/antitracking/StorageAccess.cpp, line 40
[task 2020-03-12T23:28:50.776Z] 23:28:50     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 014A9000 == 1 [pid = 5884] [id = {6973052f-ef77-4c4f-98ad-03ad3b0b9b4e}] [url = about:blank]
[task 2020-03-12T23:28:50.851Z] 23:28:50     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 4 (0140CCD0) [pid = 5884] [serial = 39] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:51.066Z] 23:28:51     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, nullptr) failed with result 0x804B000A: file /builds/worker/checkouts/gecko/extensions/permissions/nsPermission.cpp, line 45
[task 2020-03-12T23:28:51.066Z] 23:28:51     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: '!principal', file /builds/worker/checkouts/gecko/netwerk/cookie/CookieJarSettings.cpp, line 182
[task 2020-03-12T23:28:51.066Z] 23:28:51     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/toolkit/components/antitracking/StorageAccess.cpp, line 40
[task 2020-03-12T23:28:51.142Z] 23:28:51     INFO - GECKO(144) | [Child 1104: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 5 (0B4C6400) [pid = 1104] [serial = 45] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:51.183Z] 23:28:51     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 016BB000 == 1 [pid = 3948] [id = {2b81b354-e7ce-43b1-9b09-24f0f5f45085}] [url = data:text/html;charset=utf-8,<script>  var uvwxyz = "zyxwvu";</script>Autocomplete race on Enter]
[task 2020-03-12T23:28:51.218Z] 23:28:51     INFO - GECKO(144) | [Child 1104: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 4 (00A0B350) [pid = 1104] [serial = 46] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:54.878Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 014ACC00 == 0 [pid = 5884] [id = {8cf23d2e-5e09-423e-8c74-62db2c6cc230}] [url = about:blank]
[task 2020-03-12T23:28:54.878Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 3 (06EC0C00) [pid = 5884] [serial = 43] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:54.878Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 2 (084B3C00) [pid = 5884] [serial = 41] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:50.637Z] 23:28:50     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/toolkit/components/antitracking/StorageAccess.cpp, line 40
[task 2020-03-12T23:28:50.776Z] 23:28:50     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 014A9000 == 1 [pid = 5884] [id = {6973052f-ef77-4c4f-98ad-03ad3b0b9b4e}] [url = about:blank]
[task 2020-03-12T23:28:50.851Z] 23:28:50     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 4 (0140CCD0) [pid = 5884] [serial = 39] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:51.066Z] 23:28:51     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, nullptr) failed with result 0x804B000A: file /builds/worker/checkouts/gecko/extensions/permissions/nsPermission.cpp, line 45
[task 2020-03-12T23:28:51.066Z] 23:28:51     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: '!principal', file /builds/worker/checkouts/gecko/netwerk/cookie/CookieJarSettings.cpp, line 182
[task 2020-03-12T23:28:51.066Z] 23:28:51     INFO - GECKO(144) | [Parent 5912, Main Thread] WARNING: 'NS_FAILED(rv)', file /builds/worker/checkouts/gecko/toolkit/components/antitracking/StorageAccess.cpp, line 40
[task 2020-03-12T23:28:51.142Z] 23:28:51     INFO - GECKO(144) | [Child 1104: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 5 (0B4C6400) [pid = 1104] [serial = 45] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:51.183Z] 23:28:51     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 016BB000 == 1 [pid = 3948] [id = {2b81b354-e7ce-43b1-9b09-24f0f5f45085}] [url = data:text/html;charset=utf-8,<script>  var uvwxyz = "zyxwvu";</script>Autocomplete race on Enter]
[task 2020-03-12T23:28:51.218Z] 23:28:51     INFO - GECKO(144) | [Child 1104: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 4 (00A0B350) [pid = 1104] [serial = 46] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:54.878Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 014ACC00 == 0 [pid = 5884] [id = {8cf23d2e-5e09-423e-8c74-62db2c6cc230}] [url = about:blank]
[task 2020-03-12T23:28:54.878Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 3 (06EC0C00) [pid = 5884] [serial = 43] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:54.878Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 2 (084B3C00) [pid = 5884] [serial = 41] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:54.957Z] 23:28:54     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 1 (0140CAB0) [pid = 5884] [serial = 42] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:55.236Z] 23:28:55     INFO - GECKO(144) | [Child 1104: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 3 (00AAF800) [pid = 1104] [serial = 50] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:55.236Z] 23:28:55     INFO - GECKO(144) | [Child 1104: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 2 (06BCAC00) [pid = 1104] [serial = 48] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:28:58.991Z] 23:28:58     INFO - GECKO(144) | [Child 5884: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 0 (084B3400) [pid = 5884] [serial = 44] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:29:55.510Z] 23:29:55     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 7 (0160CAB0) [pid = 3948] [serial = 49] [outer = 00000000] [url = data:text/html;charset=utf-8,<p>test for bug 642615</p>]
[task 2020-03-12T23:29:55.510Z] 23:29:55     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 6 (0160CCD0) [pid = 3948] [serial = 52] [outer = 00000000] [url = data:text/html;charset=utf-8,<script>  var uvwxyz = "zyxwvu";</script>Autocomplete race on Enter]
[task 2020-03-12T23:29:59.529Z] 23:29:59     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 5 (072D3000) [pid = 3948] [serial = 56] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:29:59.529Z] 23:29:59     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 4 (072D6400) [pid = 3948] [serial = 51] [outer = 00000000] [url = data:text/html;charset=utf-8,<p>test for bug 642615</p>]
[task 2020-03-12T23:29:59.529Z] 23:29:59     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 3 (0D94EC00) [pid = 3948] [serial = 54] [outer = 00000000] [url = data:text/html;charset=utf-8,<script>  var uvwxyz = "zyxwvu";</script>Autocomplete race on Enter]
[task 2020-03-12T23:29:59.529Z] 23:29:59     INFO - GECKO(144) | [Child 3948: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 2 (072D1000) [pid = 3948] [serial = 53] [outer = 00000000] [url = about:blank]
[task 2020-03-12T23:32:47.908Z] 23:32:47     INFO -  [4960, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /builds/worker/checkouts/gecko/toolkit/components/places/Database.cpp, line 544
[task 2020-03-12T23:32:47.908Z] 23:32:47     INFO -  [4960, Main Thread] WARNING: Unable to get a connection to vacuum database: file /builds/worker/checkouts/gecko/storage/VacuumManager.cpp, line 128
[task 2020-03-12T23:32:47.963Z] 23:32:47     INFO -  [4960, IPDL Background] WARNING: '!gBaseDirPath', file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp, line 3582
[task 2020-03-12T23:32:47.963Z] 23:32:47     INFO -  [4960, IPDL Background] WARNING: profile-do-change must precede QuotaManager::GetOrCreate(): file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp, line 3583
[task 2020-03-12T23:32:47.963Z] 23:32:47     INFO -  [4960, IPDL Background] WARNING: '!quotaManager', file /builds/worker/checkouts/gecko/dom/quota/ActorsParent.cpp, line 8532
[task 2020-03-12T23:36:09.548Z] 23:36:09     INFO - Buffered messages logged at 23:28:49
[task 2020-03-12T23:36:09.548Z] 23:36:09     INFO - Entering test bound 
[task 2020-03-12T23:36:09.549Z] 23:36:09     INFO - Adding a new tab with URL: data:text/html;charset=utf-8,
[task 2020-03-12T23:36:09.549Z] 23:36:09     INFO - <head>
[task 2020-03-12T23:36:09.549Z] 23:36:09     INFO -   <script>
[task 2020-03-12T23:36:09.549Z] 23:36:09     INFO -     /* Create a prototype-less object so popup does not contain native
[task 2020-03-12T23:36:09.549Z] 23:36:09     INFO -      * Object prototype properties.
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -      */
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -     window.foobar = Object.create(null);
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -     Object.assign(window.foobar, {
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -       item0: "value0",
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -       item1: "value1",
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -       item2: "value2",
[task 2020-03-12T23:36:09.550Z] 23:36:09     INFO -       item3: "value3",
[task 2020-03-12T23:36:09.551Z] 23:36:09     INFO -       item33: "value33",
[task 2020-03-12T23:36:09.551Z] 23:36:09     INFO -     });
[task 2020-03-12T23:36:09.551Z] 23:36:09     INFO -   </script>
[task 2020-03-12T23:36:09.551Z] 23:36:09     INFO - </head>
[task 2020-03-12T23:36:09.551Z] 23:36:09     INFO - <body>bug 585991 - test pressing return with open popup</body>
[task 2020-03-12T23:36:09.551Z] 23:36:09     INFO - Tab added and finished loading
[task 2020-03-12T23:36:09.552Z] 23:36:09     INFO - Opening the toolbox
[task 2020-03-12T23:36:09.552Z] 23:36:09     INFO - Buffered messages logged at 23:28:50
[task 2020-03-12T23:36:09.558Z] 23:36:09     INFO - Console message: [JavaScript Error: "Content Security Policy: The page’s settings blocked the loading of a resource at inline (“default-src”)." {file: "chrome://global/content/elements/panel.js" line: 62}]
[task 2020-03-12T23:36:09.558Z] 23:36:09     INFO - Console message: [JavaScript Error: "Content Security Policy: The page’s settings blocked the loading of a resource at inline (“default-src”)." {file: "chrome://global/content/elements/panel.js" line: 62}]
[task 2020-03-12T23:36:09.558Z] 23:36:09     INFO - Toolbox opened and focused
[task 2020-03-12T23:36:09.558Z] 23:36:09     INFO - wait for completion suggestions: window.foobar.
[task 2020-03-12T23:36:09.559Z] 23:36:09     INFO - Console message: [JavaScript Error: "Content Security Policy: The page’s settings blocked the loading of a resource at inline (“default-src”)." {file: "chrome://global/content/elements/panel.js" line: 62}]
[task 2020-03-12T23:36:09.559Z] 23:36:09     INFO - Buffered messages logged at 23:28:51
[task 2020-03-12T23:36:09.560Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | popup is open - 
[task 2020-03-12T23:36:09.560Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | popup.itemCount is correct - 
[task 2020-03-12T23:36:09.561Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | First index from top is selected - 
[task 2020-03-12T23:36:09.561Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | last index is selected - 
[task 2020-03-12T23:36:09.561Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | item33 is selected - 
[task 2020-03-12T23:36:09.561Z] 23:36:09     INFO - Expects "item33", is "item33"
[task 2020-03-12T23:36:09.562Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | completeNode.value holds item33 - 
[task 2020-03-12T23:36:09.562Z] 23:36:09     INFO - press Return to accept suggestion. wait for popup to hide
[task 2020-03-12T23:36:09.562Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | popup is not open after KEY_Enter - 
[task 2020-03-12T23:36:09.562Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | completion was successful after KEY_Enter - 
[task 2020-03-12T23:36:09.563Z] 23:36:09     INFO - TEST-PASS | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | completeNode is empty - 
[task 2020-03-12T23:36:09.563Z] 23:36:09     INFO - Test that hitting enter when the completeNode is empty closes the popup
[task 2020-03-12T23:36:09.563Z] 23:36:09     INFO - wait for completion suggestions: window.foobar.item3
[task 2020-03-12T23:36:09.564Z] 23:36:09     INFO - Buffered messages finished
[task 2020-03-12T23:36:09.564Z] 23:36:09    ERROR - TEST-UNEXPECTED-TIMEOUT | devtools/client/webconsole/test/browser/browser_jsterm_autocomplete_return_key.js | application timed out after 370 seconds with no output
[task 2020-03-12T23:36:09.564Z] 23:36:09    ERROR - Force-terminating active process(es).
[task 2020-03-12T23:36:09.564Z] 23:36:09     INFO - Determining child pids from psutil...
[task 2020-03-12T23:36:09.565Z] 23:36:09     INFO - [5912]
[task 2020-03-12T23:36:09.565Z] 23:36:09     INFO - ==> process 5912 launched child process 5884 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.0.1114929142\759312022" -childID 1 -isForBrowser -prefsHandle 2192 -prefMapHandle 2184 -prefsLen 1 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 2236 tab)
[task 2020-03-12T23:36:09.565Z] 23:36:09     INFO - ==> process 5912 launched child process 2396 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.6.2107450489\404043261" -childID 2 -isForBrowser -prefsHandle 2448 -prefMapHandle 2444 -prefsLen 463 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 2460 tab)
[task 2020-03-12T23:36:09.566Z] 23:36:09     INFO - ==> process 5912 launched child process 1104 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.12.1238179056\2137586082" -childID 3 -isForBrowser -prefsHandle 4248 -prefMapHandle 4240 -prefsLen 524 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 4260 tab)
[task 2020-03-12T23:36:09.566Z] 23:36:09     INFO - ==> process 5912 launched child process 5556 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.18.15625315\253149613" -childID 4 -isForBrowser -prefsHandle 2744 -prefMapHandle 2900 -prefsLen 10488 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 3364 tab)
[task 2020-03-12T23:36:09.566Z] 23:36:09     INFO - ==> process 5912 launched child process 3948 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.24.2088011738\226339212" -childID 5 -isForBrowser -prefsHandle 3404 -prefMapHandle 1652 -prefsLen 10749 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 3416 tab)
[task 2020-03-12T23:36:09.566Z] 23:36:09     INFO - ==> process 5912 launched child process 3112 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.30.1499123281\1913088811" -childID 6 -isForBrowser -prefsHandle 3836 -prefMapHandle 3468 -prefsLen 10849 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 3644 tab)
[task 2020-03-12T23:36:09.566Z] 23:36:09     INFO - ==> process 5912 launched child process 1400 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.36.281168164\1386889783" -childID 7 -isForBrowser -prefsHandle 4116 -prefMapHandle 3948 -prefsLen 10938 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 4580 tab)
[task 2020-03-12T23:36:09.567Z] 23:36:09     INFO - ==> process 5912 launched child process 3832 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.42.1110188536\237742707" -childID 8 -isForBrowser -prefsHandle 4716 -prefMapHandle 4772 -prefsLen 10938 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 4484 tab)
[task 2020-03-12T23:36:09.567Z] 23:36:09     INFO - ==> process 5912 launched child process 3844 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.48.215252350\427037352" -childID 9 -isForBrowser -prefsHandle 4116 -prefMapHandle 3948 -prefsLen 11018 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 2028 tab)
[task 2020-03-12T23:36:09.567Z] 23:36:09     INFO - ==> process 5912 launched child process 4824 ("Z:\task_1584052009\build\application\firefox\firefox.exe" -contentproc --channel="5912.54.2111158949\2115073453" -childID 10 -isForBrowser -prefsHandle 2004 -prefMapHandle 4612 -prefsLen 11018 -prefMapSize 231353 -parentBuildID 20200312221620 -appdir "Z:\task_1584052009\build\application\firefox\browser" - 5912 "\\.\pipe\gecko-crash-server-pipe.5912" 4444 tab)
[task 2020-03-12T23:36:09.567Z] 23:36:09     INFO - Found child pids: set([4824, 3844, 3112, 5884, 3948, 3832, 1104, 1400, 5556, 5912, 2396])
[task 2020-03-12T23:36:09.567Z] 23:36:09     INFO - Killing process: 4824
Flags: needinfo?(nchevobbe)

Yes, let's disable this.
This is part of a more global failures in the console autocomplete, only on windows 7 debug builds that I still didn't figure out as it's outside of my knowledge, and the people I asked for help so far were clueless as well :/

Flags: needinfo?(nchevobbe)
Assignee: nobody → apavel
Status: NEW → ASSIGNED

Should be fixed by https://bugzilla.mozilla.org/show_bug.cgi?id=1620622#c18

Nicolas failures look like this in the last 7 days, including last 2 days since the above patch landed: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2020-04-18&endday=2020-04-25&tree=trunk&bug=1622141

Flags: needinfo?(nchevobbe)

This test wasn't using the helper were we made the fix, which explains why it's not fixed.
I did some changes and pushed to TRY: https://treeherder.mozilla.org/#/jobs?repo=try&revision=7ace6f76a0af862f9612e26602b53912f8c16b17
let's see if that fixes this.

Flags: needinfo?(nchevobbe)

TRY looks good, I'll push my patch for review

Pushed by nchevobbe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/ccbbf6ac0bd3
Fix intermittent on browser_jsterm_autocomplete_return_key.js. r=Honza.
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 77
Attachment #9142585 - Attachment is obsolete: true
You need to log in before you can comment on or make changes to this bug.